Skip to content
This repository
Fetching contributors…

Cannot retrieve contributors at this time

file 39 lines (35 sloc) 1.438 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "fech/version"

Gem::Specification.new do |s|
  s.name = "fech"
  s.version = Fech::VERSION
  s.platform = Gem::Platform::RUBY
  s.authors = ["Michael Strickland", "Evan Carmi", "Aaron Bycoffe"]
  s.email = ["michael.c.strickland@gmail.com"]
  s.homepage = "http://github.com/nytimes/fech"
  s.summary = %q{Ruby library for parsing FEC filings.}
  s.description = %q{A Ruby library for interacting with electronic filings from the Federal Election Commission.}

  s.rubyforge_project = "fech"

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {spec}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
  
  s.add_dependency "fastercsv"
  s.add_dependency "people"
  if RUBY_VERSION < "1.9"
    s.add_development_dependency "linecache", "0.43"
    s.add_development_dependency "ruby-debug"
  end
  if RUBY_VERSION >= "1.9"
    s.add_development_dependency "ruby-debug19"
    s.add_development_dependency "linecache19"
  end
  s.add_development_dependency "rake", "0.8.7"
  s.add_development_dependency "rspec", "~> 2.6"
  s.add_development_dependency "mocha"
  s.add_development_dependency "bundler"
  s.add_development_dependency "rcov"
  s.add_development_dependency "rdoc"
  s.add_development_dependency "yard"
end
Something went wrong with that request. Please try again.